Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class FlushingStreamWriter

Stream writer which flushes after each write operation.

author:
  Guillaume Laforge

Constructor Summary
`FlushingStreamWriter(OutputStream out)`

Method Summary
`void` | `write(def cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str, int off, int len)`

Constructor Detail

### FlushingStreamWriter

    public FlushingStreamWriter(OutputStream out)

Method Detail

### write

    public void write(def cbuf, int off, int len)

### write

    public void write(int c)

### write

    public void write(String str, int off, int len)